Name:           shared-desktop-ontologies
Version:        0.6.0
Release:        1%{?dist}
Summary:        Shared ontologies needed for semantic environments

Group:          User Interface/Desktops
License:        BSD or CC-BY
URL:            http://oscaf.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/oscaf/shared-desktop-ontologies/0.6/shared-desktop-ontologies-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

## upstreamable patches
Patch50: shared-desktop-ontologies-0.4-pkgconfig.patch

BuildRequires:  cmake >= 2.6.0
BuildRequires:  pkgconfig


%description
The vision of the Social Semantic Desktop defines a user’s personal
information environment as a source and end-point of the Semantic Web:
Knowledge workers comprehensively express their information and data
with respect to their own conceptualizations.

Semantic Web languages and protocols are used to formalize these
conceptualizations and for coordinating local and global information
access. The Resource Description Framework serves as a common data
representation format. With a particular focus on addressing certain
limitations of RDF, a novel representational language akin to RDF and
the Web Ontology Language, plus a number of other high-level
ontologies were created.

Together, they provide a means to build the semantic bridges necessary
for data exchange and application integration on distributed social
semantic desktops. Although initially designed to fulfill requirements
for the Nepomuk project, these ontologies are useful for the semantic
web community in general.



%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       cmake
Requires:       %{name} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries
and header files for developing applications
that use %{name}.


%prep
%setup -q

%patch50 -p1 -b .pkgconfig


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
# verify pkg-config version (notoriously wrong in recent releases)
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig
test "$(pkg-config --modversion shared-desktop-ontologies)" = "%{version}"


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.BSD LICENSE.CC-BY README
%{_datadir}/ontology/

%files devel
%defattr(-,root,root,-)
%{_datadir}/cmake/SharedDesktopOntologies/
%{_datadir}/pkgconfig/shared-desktop-ontologies.pc


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.5-1
- 0.5

* Thu May 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.4-1
- 0.4

* Wed Apr 28 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.3-2
- %%check: verify pkg-config --modversion sanity

* Wed Mar 10 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.3-1
- 0.3

* Sun Dec  6 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2-3
- Add -devel package and move CMake and pkgconfig files there

* Sun Dec  6 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2-2
- Fix license tag

* Sat Dec  5 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2-1
- Initial release
